Index: asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf2.c
===================================================================
--- asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf2.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/messagebuf/test/test_messagebuf2.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_messagebuf2.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_messagebuf2.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -132,5 +132,5 @@
  *	1:	act_tsk(TASK2)
  *		act_tsk(TASK3)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-1ï¼åªå
 åº¦ï¼ä¸­ï¼1åã ==
@@ -141,10 +141,10 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	4:	ter_tsk(TASK2)									... (A-1)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_PROC) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK1ï¼ç¶ãï¼==
  *	5:	rcv_mbf(MBF1, buf1) -> 26
  *		assert(strncmp(buf1, string2, 26) == 0)
  *		act_tsk(TASK2)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-2ï¼åªå
 åº¦ï¼ä¸­ï¼2åã ==
@@ -172,5 +172,5 @@
  *		assert(strncmp(buf1, string3, 10) == 0)
  *		act_tsk(TASK2)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼åªå
 åº¦ï¼ä¸­ï¼4åã ==
@@ -180,5 +180,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	18:	rel_wai(TASK2)									... (B-1)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	19:	slp_tsk()
@@ -187,5 +187,5 @@
  *		assert(strncmp(buf1, string2, 26) == 0)
  *		wup_tsk(TASK2)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	21:	snd_mbf(MBF1, string1, 26) -> E_RLWAI
@@ -212,5 +212,5 @@
  *	31:	rcv_mbf(MBF1, buf1) -> 10
  *		assert(strncmp(buf1, string3, 10) == 0)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	32:	snd_mbf(MBF1, string1, 26) -> E_RLWAI
@@ -218,5 +218,5 @@
  *	33:	snd_mbf(MBF1, string2, 26)
  *	== TASK1ï¼ç¶ãï¼==
- *	34:	sta_alm(ALM1, 1000U)
+ *	34:	sta_alm(ALM1, TEST_TIME_PROC) ...  ALM1-1ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1-1 ==
@@ -225,5 +225,5 @@
  *		RETURN
  *	== TASK1ï¼ç¶ãï¼==
- *	36:	tslp_tsk(1000U) -> E_TMOUT
+ *	36:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	37:	slp_tsk()
@@ -232,5 +232,5 @@
  *		assert(strncmp(buf1, string2, 26) == 0)
  *		wup_tsk(TASK2)
- *		tslp_tsk(1000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	39:	snd_mbf(MBF1, string1, 26) -> E_RLWAI
@@ -238,5 +238,5 @@
  *	40:	snd_mbf(MBF1, string3, 10)
  *	== TASK1ï¼ç¶ãï¼==
- *	41:	sta_alm(ALM1, 1000U)
+ *	41:	sta_alm(ALM1, TEST_TIME_PROC) ...  ALM1-2ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1-2 ==
@@ -256,5 +256,5 @@
  *	48:	snd_mbf(MBF1, string3, 10)
  *	== TASK3ï¼ç¶ãï¼==
- *	49:	sta_alm(ALM1, 1000U)
+ *	49:	sta_alm(ALM1, TEST_TIME_PROC) ...  ALM1-3ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1-3 ==
@@ -267,13 +267,15 @@
  *		slp_tsk()
  *	== TASK2-4ï¼ç¶ãï¼==
-  *	52:	tsnd_mbf(MBF1, string1, 26, 1000U) -> E_TMOUT	... (D-1)
+ *	52:	tsnd_mbf(MBF1, string1, 26, TEST_TIME_CP) -> E_TMOUT	... (D-1)
+ *											... TASK2-4ãå®è¡åéããã¾ã§
  *	== TASK3ï¼ç¶ãï¼==
  *	53:	snd_mbf(MBF1, string2, 26)
  *	== TASK2-4ï¼ç¶ãï¼==
- *	54:	tslp_tsk(1000U) -> E_TMOUT
+ *	54:	tslp_tsk(2 * TEST_TIME_PROC) -> E_TMOUT ... TASK2-4ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	55:	rcv_mbf(MBF1, buf1) -> 26
  *		assert(strncmp(buf1, string2, 26) == 0)
- *	56:	tsnd_mbf(MBF1, string1, 26, 1000U) -> E_TMOUT	... (D-2)
+ *	56:	tsnd_mbf(MBF1, string1, 26, TEST_TIME_CP) -> E_TMOUT	... (D-2)
+ *											... TASK2-4ãå®è¡åéããã¾ã§
  *	== TASK3ï¼ç¶ãï¼==
  *	57:	snd_mbf(MBF1, string3, 10)
@@ -285,5 +287,6 @@
  *	60:	wup_tsk(TASK2)
  *	== TASK2-4ï¼ç¶ãï¼==
- *	61:	tsnd_mbf(MBF1, string1, 26, 1000U) -> E_TMOUT	... (D-3)
+ *	61:	tsnd_mbf(MBF1, string1, 26, 4 * TEST_TIME_CP) -> E_TMOUT	... (D-3)
+ *											... TASK2-4ãå®è¡åéããã¾ã§
  *	== TASK3ï¼ç¶ãï¼==
  *	62:	wup_tsk(TASK1)
@@ -377,5 +380,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -384,5 +387,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(TEST_TIME_PROC);
 	check_ercd(ercd, E_TMOUT);
 
@@ -396,5 +399,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -419,5 +422,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -426,5 +429,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -438,5 +441,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -458,9 +461,9 @@
 	check_assert(strncmp(buf1, string3, 10) == 0);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
 	check_point(34);
-	ercd = sta_alm(ALM1, 1000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -469,5 +472,5 @@
 
 	check_point(36);
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -481,9 +484,9 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(1000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
 	check_point(41);
-	ercd = sta_alm(ALM1, 1000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -594,9 +597,9 @@
 
 		check_point(52);
-		ercd = tsnd_mbf(MBF1, string1, 26, 1000U);
+		ercd = tsnd_mbf(MBF1, string1, 26, TEST_TIME_CP);
 		check_ercd(ercd, E_TMOUT);
 
 		check_point(54);
-		ercd = tslp_tsk(1000U);
+		ercd = tslp_tsk(TEST_TIME_PROC);
 		check_ercd(ercd, E_TMOUT);
 
@@ -608,5 +611,5 @@
 
 		check_point(56);
-		ercd = tsnd_mbf(MBF1, string1, 26, 1000U);
+		ercd = tsnd_mbf(MBF1, string1, 26, TEST_TIME_CP);
 		check_ercd(ercd, E_TMOUT);
 
@@ -616,5 +619,5 @@
 
 		check_point(61);
-		ercd = tsnd_mbf(MBF1, string1, 26, 1000U);
+		ercd = tsnd_mbf(MBF1, string1, 26, 4 * TEST_TIME_CP);
 		check_ercd(ercd, E_TMOUT);
 
@@ -708,5 +711,5 @@
 
 	check_point(49);
-	ercd = sta_alm(ALM1, 1000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
